<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'tradehistory',

    /*
     * Modules.
     */
    'modules'   => ['trade_history'],

    
    'trade_history'       => [
        'model' => [
            'model'                 => \Litecms\Tradehistory\Models\TradeHistory::class,
            'table'                 => 'trade_histories',
            'presenter'             => \Litecms\Tradehistory\Repositories\Presenter\TradeHistoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['seller_order_id',  'buyer_order_id',  'datetime',  'transaction_id',  'seller_id',  'buyer_id',  'blockchain',  'isCompleted',  'tokenHashBuyer',  'tokenHashAdmin',  'AmountHashSeller',  'AmountHashAdmin'],
            'translatables'         => [],
            'upload_folder'         => 'tradehistory/trade_history',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Tradehistory',
            'module'    => 'TradeHistory',
        ],

    ],
];
