<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTradeHistoriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: trade_histories
         */
        Schema::create('trade_histories', function ($table) {
            $table->increments('id');
            $table->integer('seller_order_id')->nullable();
            $table->integer('buyer_order_id')->nullable();
            $table->dateTime('datetime')->nullable();
            $table->string('transaction_id', 200)->nullable();
            $table->integer('seller_id')->nullable();
            $table->integer('buyer_id')->nullable();
            $table->enum('blockchain', ['BTC','ETH'])->nullable();
            $table->integer('isCompleted')->nullable();
            $table->string('tokenHashBuyer', 500)->nullable();
            $table->string('tokenHashAdmin', 500)->nullable();
            $table->string('AmountHashSeller', 500)->nullable();
            $table->string('AmountHashAdmin', 500)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('trade_histories');
    }
}
