<?php

namespace Litecms\Tradehistory\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Litecms\Tradehistory\Interfaces\TradeHistoryRepositoryInterface;

class TradeHistoryPublicController extends BaseController
{
    // use TradeHistoryWorkflow;

    /**
     * Constructor.
     *
     * @param type \Litecms\TradeHistory\Interfaces\TradeHistoryRepositoryInterface $trade_history
     *
     * @return type
     */
    public function __construct(TradeHistoryRepositoryInterface $trade_history)
    {
        $this->repository = $trade_history;
        parent::__construct();
    }

    /**
     * Show trade_history's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $trade_histories = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->title(trans('$tradehistory::$trade_history.names'))
            ->view('$tradehistory::public.trade_history.index')
            ->data(compact('$trade_histories'))
            ->output();
    }

    /**
     * Show trade_history's list based on a type.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function list($type = null)
    {
        $trade_histories = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->title(trans('$tradehistory::$trade_history.names'))
            ->view('$tradehistory::public.trade_history.index')
            ->data(compact('$trade_histories'))
            ->output();
    }

    /**
     * Show trade_history.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $trade_history = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->title($$trade_history->name . trans('$tradehistory::$trade_history.name'))
            ->view('$tradehistory::public.trade_history.show')
            ->data(compact('$trade_history'))
            ->output();
    }

}
