<?php

namespace Litecms\Tradehistory\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TradeHistoryTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Tradehistory\Models\TradeHistory $trade_history)
    {
        return [
            'id'                => $trade_history->getRouteKey(),
            'key'               => [
                'public'    => $trade_history->getPublicKey(),
                'route'     => $trade_history->getRouteKey(),
            ], 
            'seller_order_id'   => $trade_history->seller_order_id,
            'buyer_order_id'    => $trade_history->buyer_order_id,
            'datetime'          => $trade_history->datetime,
            'transaction_id'    => $trade_history->transaction_id,
            'seller_id'         => $trade_history->seller_id,
            'buyer_id'          => $trade_history->buyer_id,
            'blockchain'        => $trade_history->blockchain,
            'isCompleted'       => $trade_history->isCompleted,
            'tokenHashBuyer'    => $trade_history->tokenHashBuyer,
            'tokenHashAdmin'    => $trade_history->tokenHashAdmin,
            'AmountHashSeller'  => $trade_history->AmountHashSeller,
            'AmountHashAdmin'   => $trade_history->AmountHashAdmin,
            'url'               => [
                'public'    => trans_url('tradehistory/'.$trade_history->getPublicKey()),
                'user'      => guard_url('tradehistory/trade_history/'.$trade_history->getRouteKey()),
            ], 
            'status'            => trans('app.'.$trade_history->status),
            'created_at'        => format_date($trade_history->created_at),
            'updated_at'        => format_date($trade_history->updated_at),
        ];
    }
}