<?php

namespace Litecms\Tradehistory;

use User;

class Tradehistory
{
    /**
     * $trade_history object.
     */
    protected $trade_history;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Tradehistory\Interfaces\TradeHistoryRepositoryInterface $trade_history)
    {
        $this->trade_history = $trade_history;
    }

    /**
     * Returns count of tradehistory.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.trade_history.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->trade_history->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\TradeHistoryUserCriteria());
        }

        $trade_history = $this->trade_history->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('tradehistory::' . $view, compact('trade_history'))->render();
    }
}
